# CheckedMenuItem

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Component](/api/wisej.base/general/wisej.base.component.md)
  * [Component](/api/wisej.web/general/wisej.web.component.md)
    * [BindableComponent](/api/wisej.web/general/wisej.web.bindablecomponent.md)
      * [Menu](/api/wisej.web/menus/wisej.web.menu.md)
        * [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md)
          * [CheckedMenuItem](/api/wisej.web/menus/wisej.web.checkedmenuitem.md)

Represents an individual menu item that is displayed within a [MainMenu](/api/wisej.web/menus/wisej.web.mainmenu.md) or [ContextMenu](/api/wisej.web/menus/wisej.web.contextmenu.md) and always shows a checkbox next to the label.

{% tabs %}
{% tab title="C#" %}

```csharp
public class CheckedMenuItem : MenuItem
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class CheckedMenuItem
    Inherits MenuItem
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) CheckedMenuItem()

Initializes a new instance of [CheckedMenuItem](/api/wisej.web/menus/wisej.web.checkedmenuitem.md).

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) OnClick(e)

Fires the [Click](/api/wisej.web/menus/wisej.web.menuitem.md#click) event.

| Parameter | Type                                                                | Description                                                                                          |
| --------- | ------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) | An [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

## Implements

| Name                                                                              | Description                                                                                                     |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                   |
| [ICommandSource](/api/wisej.web/interfaces/wisej.web.icommandsource.md)           | Defines an object that can invoke a [Command](/api/wisej.web/interfaces/wisej.web.icommandsource.md#command).   |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                  |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/menus/wisej.web.checkedmenuitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
